package math.binary;

import math.utils.*;

public class Binary13{
	public static void main(String[] args) {
		int a = 1;
		int b = 2;
		int c = 4;
		int d = 8;
		int e = 16;
		int f = 32;
		int g = 64;
		int h = 128;
		int i = 256;
		int j = 512;
		int nFlag = a + b + c + d + e + f + g + h + i + j;
		Util.print(nFlag);
		Util.print(Integer.toBinaryString(nFlag));
		Util.print(Integer.toBinaryString(d));
		Util.print(Integer.toBinaryString(~d));
		Util.print(~d);
		nFlag &= ~d;
		Util.print(Integer.toBinaryString(nFlag));
		Util.print(nFlag);
	}
}
